polybori::groebner::PseudoLongProduct Class Reference

This class defines a delayed product of longs and comparison with `LongLong` Constant. More...

`#include <PseudoLongProduct.h>`

Inheritance diagram for polybori::groebner::PseudoLongProduct:

## Public Types

typedef unsigned long | long_type

## Public Member Functions

| PseudoLongProduct (const long_type &first, const long_type &second)
bool | greater (long_type rhs) const
| compare carry-over savely More...
template<long_type MaxLow>
bool | greater (const PseudoLongLong< 0, MaxLow > &) const
| compare carry-over savely with represented by two unsigned longs More...
template<long_type MaxHigh, long_type MaxLow>
bool | greater (const PseudoLongLong< MaxHigh, MaxLow > &) const
| compare carry-over savely with represented by two unsigned longs More...

## Additional Inherited Members

Protected Types inherited from polybori::groebner::BitMask< sizeof(unsigned long)*4 >
enum |
Protected Member Functions inherited from polybori::groebner::BitMask< sizeof(unsigned long)*4 >
unsigned long | low (const unsigned long &value) const
unsigned long | high (const unsigned long &value) const
unsigned long | shift (const unsigned long &value) const
unsigned long | back (const unsigned long &value) const

## Detailed Description

This class defines a delayed product of longs and comparison with `LongLong` Constant.

## Member Typedef Documentation

typedef unsigned long polybori::groebner::PseudoLongProduct::long_type

## Constructor & Destructor Documentation

polybori::groebner::PseudoLongProduct::PseudoLongProduct | ( | const long_type & | first,
|  | const long_type & | second
| ) |  |

inline

## Member Function Documentation

bool polybori::groebner::PseudoLongProduct::greater | ( | long_type | rhs | ) | const

inline

compare carry-over savely

Referenced by polybori::groebner::operator>().

template<long_type MaxLow>

bool polybori::groebner::PseudoLongProduct::greater | ( | const PseudoLongLong< 0, MaxLow > & |  | ) | const

inline

compare carry-over savely with represented by two unsigned longs

template<long_type MaxHigh, long_type MaxLow>

bool polybori::groebner::PseudoLongProduct::greater | ( | const PseudoLongLong< MaxHigh, MaxLow > & |  | ) | const

inline

compare carry-over savely with represented by two unsigned longs

The documentation for this class was generated from the following file:

- PseudoLongProduct.h